An error was encountered while running DADA2

Hi,

I run DADA2 and I encountered an error after approximately 15 minutes. My data is single-end reads generated using Illumina Miseq.

Here is the command for importing my data:
qiime tools import
–type ‘SampleData[SequencesWithQuality]’
–input-path manifest.txt
–output-path single-end-demux.qza
–input-format SingleEndFastqManifestPhred33V2

Here is the command to run DADA2:
qiime dada2 denoise-single
–i-demultiplexed-seqs single-end-demux.qza
–p-trim-left 0
–p-trunc-len 220
–o-representative-sequences rep-seqs-dada2.qza
–o-table table-dada2.qza
–o-denoising-stats stats-dada2.qza

Here is the content of the log file:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-io9g5_0i/0cd39a3f-20f8-474f-b762-c2c68b6bf449/data /tmp/tmpsa8_flhq/output.tsv.biom /tmp/tmpsa8_flhq/track.tsv /tmp/tmpsa8_flhq 220 0 2.0 2 Inf consensus 1.0 1 1000000 NULL 16

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.3 / RcppParallel: 4.4.4

  1. Filtering …
  2. Learning Error Rates
    226886220 total bases in 1031301 reads from 14 samples will be used for learning the error rates.
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 177, in _denoise_single
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_single.R’, ‘/tmp/qiime2-archive-io9g5_0i/0cd39a3f-20f8-474f-b762-c2c68b6bf449/data’, ‘/tmp/tmpsa8_flhq/output.tsv.biom’, ‘/tmp/tmpsa8_flhq/track.tsv’, ‘/tmp/tmpsa8_flhq’, ‘220’, ‘0’, ‘2.0’, ‘2’, ‘Inf’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’, ‘NULL’, ‘16’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/decorator.py:decorator-gen-453>”, line 2, in denoise_single
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 212, in denoise_single
band_size=‘16’)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 188, in _denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Sorry the file is not authorized to be uploaded.

Please let me know if I need to provide any other information.

Thanks.

Would someone please help me figure it out.

Hi @ptalebic!

Thanks for sharing all of that info - very helpful!

I immediately noticed this:

This is a signal that computers use to tell a process or command to stop work immediately - it is usually initiated by someone like a sysadmin, or a cluster queuing system. Can you tell us a little bit more about your computation environment? Are you running on an institutional cluster? Are you submitting jobs through a queuing system?

Keep us posted!

:qiime2:

PS - I just want to remind you about the QIIME 2 Forum Code of Conduct, in particular, this section:

https://forum.qiime2.org/faq#patience

Sending multiple messages just bogs down our moderator queue, slowing down the time in which we can respond to you, and others. Thanks!

Dear Matthew,

Thank you for your reply and forgive me for Not being patient.

I am not submitting jobs through a queuing system. Just running the command on my laptop and I don’t run it on an institutional cluster.

@ptalebic, could you please tell us more about your computing environment?

A quick search of the forum shows that errors like this are often caused by out-of-memory problems. If your sample(s) are large, and your system has limited memory, or you’re using a virtualbox or similar container that isn’t provisioned with enough memory, that may be your issue.

If you have access to a system with more resources, or are able to provision your virtual environment with more memory, you may have better luck.

1 Like

Dear Chris,

I am using virtualbox and I dedicated 1024 for memory as recommended. I have above 10 million reads and the file is about 1gb.

How much memory would you suggest I devote to my guest machine?

Best,

@ptalebic, this isn’t an issue I’ve dealt with personally before, but I’m sure you can figure it out by trial and error. Remember, if you’re running 64-bit Windows 10, that the host OS needs at least 2GB of dedicated RAM to work smoothly.

Virtualbox allocates memory in MB (1024 MB is ~1GB of memory), and your Box’s 1GB of RAM is probably not enough for DADA2 to run smoothly - try taking a look at how much memory your system has available, and bumping up your VirtualBox allocation without starving the host machine, and seeing how it goes.

1 Like

Thanks for the reply.

Of course! Let us know how it works out. :nerd_face:

Hi Chris,

I allocated much more memory (3000 MB) and it worked. Thank you for your guidance.

1 Like

Woohoo! Glad to hear it!
:partying_face::squid:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.